OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ScopedInputLock Class Reference

Helper class to manage input locking. More...

`#include <openvdb_houdini/ParmFactory.h>`

## Public Member Functions
| ScopedInputLock (SOP_Node &node, OP_Context &context)
| ~ScopedInputLock ()
void | markInputUnlocked (exint input)

## Detailed Description

Helper class to manage input locking.

## Constructor & Destructor Documentation

## ◆ ScopedInputLock()

ScopedInputLock | ( | SOP_Node & | node,
|  | OP_Context & | context
| ) |  |
| inline

## ◆ ~ScopedInputLock()

~ScopedInputLock | ( |  | ) |
| inline

## Member Function Documentation

## ◆ markInputUnlocked()

void markInputUnlocked | ( | exint | input | ) |
| inline